Skip to main content

Update Account by ID

Endpoint: PUT /accounts/{id}

Authentication: Bearer Token (required)

Description

Updates the details of an existing account identified by its UUID. All relevant fields must be provided.

Request

Path Parameters

NameTypeRequiredDescription
idstringYesThe UUID of the account to update

Headers

NameTypeRequiredDescription
Content-TypestringYesMust be application/json
AuthorizationstringYesBearer token for authentication

Request Body

{
"name": "Pool Suspense Account",
"description": "Suspense account for core system pool",
"accountNumber": "1811300008",
"alternateAccountNumber": null,
"parentAccountId": null,
"type": "ASSET",
"category": "CURRENT",
"ledger": "GL",
"balance": null,
"partyType": "COMPANY",
"party": "Bookshop 4",
"currencyStringId": "3940d6ac-cae7-465f-9a20-81408fc28913",
"customer": null,
"customerStringId": null,
"companyStringId": "734a7dd8-b8ba-43df-9210-8bf0f367bca5"
}

Request Body Fields

FieldTypeRequiredDescription
namestringYesThe name of the account
descriptionstringNoA description of the account's purpose
accountNumberstringNoThe system-generated account number
alternateAccountNumberstringNoAn alternate identifier for the account
parentAccountIdstringNoThe UUID of the parent account (for hierarchical accounts)
typestringYesThe account type. One of: ASSET, LIABILITY, EQUITY, REVENUE, EXPENSE
categorystringYesThe account category. One of: CURRENT, NON_CURRENT, OPERATING, NON_OPERATING
ledgerstringYesThe ledger type. Must be GL (General Ledger)
balancenumberNoThe current balance of the account
partyTypestringYesThe type of party associated with the account. One of: COMPANY, CUSTOMER, SUPPLIER
partystringYesThe name of the party associated with the account
currencyStringIdstringYesThe UUID of the currency for the account
customerobjectNoThe customer object associated with the account
customerStringIdstringNoThe UUID of the customer (required if partyType is CUSTOMER)
companyStringIdstringYesThe UUID of the company that owns the account